class KStdGuiItem

# class KStdGuiItem |
Definition | `#include <kstdguiitem.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum BidiMode { UseRTL = 0, IgnoreRTL }
- enum StdItem { Ok=1, Cancel, Yes, No, Discard, Save, DontSave, SaveAs, Apply, Clear, Help, Defaults, Close, Back, Forward, Print, Continue }

#### Public Static Methods

- static KGuiItem guiItem ( StdItem ui_enum )
- static QString stdItem ( StdItem ui_enum )
- static KGuiItem ok ()
- static KGuiItem cancel ()
- static KGuiItem yes ()
- static KGuiItem no ()
- static KGuiItem discard ()
- static KGuiItem save ()
- static KGuiItem help ()
- static KGuiItem dontSave ()
- static KGuiItem saveAs ()
- static KGuiItem apply ()
- static KGuiItem clear ()
- static KGuiItem defaults ()
- static KGuiItem close ()
- static KGuiItem print ()
- static KGuiItem cont ()
- static KGuiItem back ( BidiMode useBidi = IgnoreRTL )
- static KGuiItem forward ( BidiMode useBidi = IgnoreRTL )
- static QPair<KGuiItem, KGuiItem> backAndForward ()

## Detailed Description

enum BidiMode { UseRTL = 0, IgnoreRTL } | ### BidiMode

The back and forward items by default use the RTL settings for Hebrew and Arab countries. If you want those actions to ignore the RTL value and force 'Western' behaviour instead, use the IgnoreRTL value instead.

enum StdItem { Ok=1, Cancel, Yes, No, Discard, Save, DontSave, SaveAs, Apply, Clear, Help, Defaults, Close, Back, Forward, Print, Continue } | ### StdItem

KGuiItem guiItem ( StdItem ui_enum ) | ### guiItem

[static]

QString stdItem ( StdItem ui_enum ) | ### stdItem

[static]

KGuiItem ok () | ### ok

[static]

KGuiItem cancel () | ### cancel

[static]

KGuiItem yes () | ### yes

[static]

KGuiItem no () | ### no

[static]

KGuiItem discard () | ### discard

[static]

KGuiItem save () | ### save

[static]

KGuiItem help () | ### help

[static]

KGuiItem dontSave () | ### dontSave

[static]

KGuiItem saveAs () | ### saveAs

[static]

KGuiItem apply () | ### apply

[static]

KGuiItem clear () | ### clear

[static]

KGuiItem defaults () | ### defaults

[static]

KGuiItem close () | ### close

[static]

KGuiItem print () | ### print

[static]

KGuiItem cont () | ### cont

[static]

It should be "continue", but that's a C/C++ keyword :-o

KGuiItem back ( BidiMode useBidi = IgnoreRTL ) | ### back

[static]

Return a GUI item for a 'back' action, like Konqueror's back button. This GUI item can optionally honour the user's setting for BiDi, so the icon for right-to-left languages (Hebrew and Arab) has the arrow pointing in the opposite direction. By default the arrow points in the Western 'back' direction (i.e. to the left). This is because usually you only want the Bidi aware GUI item if you also want the 'forward' item. Those two are available in the separate backAndForward() method.

KGuiItem forward ( BidiMode useBidi = IgnoreRTL ) | ### forward

[static]

Return a GUI item for a 'forward' action, like Konqueror's forward button. This GUI item can optionally honour the user's setting for BiDi, so the icon for right-to-left languages (Hebrew and Arab) has the arrow pointing in the opposite direction. By default the arrow points in the Western 'forward' direction (i.e. to the right). This is because usually you only want the Bidi aware GUI item if you also want the 'back' item. Those two are available in the separate backAndForward() method.

QPair<KGuiItem, KGuiItem> backAndForward () | ### backAndForward

[static]

Return both a back and a forward item. This function always returns items that are aware of the Right-to-Left setting for Arab and Hebrew locales. If you have a reason for wanting the 'Western' back/forward buttons, please use the back() and forward() items instead.

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:37 2003, using kdoc 2.0a54.